Bug 7057 - C4::Reserves::CheckReserves uses GetMemberDetails unnecessarily
Summary: C4::Reserves::CheckReserves uses GetMemberDetails unnecessarily
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 7058
  Show dependency treegraph
 
Reported: 2011-10-18 21:53 UTC by Ian Walls
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.26 KB, patch)
2011-10-18 21:58 UTC, Ian Walls
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7057: CheckReserves uses GetMemberDetails unnecessarily (1.33 KB, patch)
2011-10-19 19:42 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-10-18 21:53:52 UTC
CheckReserves, which is a workhorse subroutine, calls GetMemberDetails possibly MANY times during it's execution (for each reserve on a biblio).  All it uses from this call is branchcode.  This is massively inefficient at large scales.

Replacing this with GetMember would be much, much more efficient.
Comment 1 Ian Walls 2011-10-18 21:58:11 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-10-19 19:42:18 UTC
Created attachment 5993 [details] [review]
[SIGNED-OFF] Bug 7057: CheckReserves uses GetMemberDetails unnecessarily

Replaces call to GetMemberDetails with a call to GetMember.  Much more efficient,
and since only branchcode is used, no required data is lost.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 3 Ian Walls 2011-10-19 22:17:35 UTC
Also marking as Passed QA, for RM's discretion to integrate
Comment 4 Chris Cormack 2011-10-20 01:06:33 UTC
Pushed, please test
Comment 5 Jared Camins-Esakov 2012-12-31 00:06:49 UTC
There have been no further reports of problems so I am marking this bug resolved.